io.netty.handler.codec.mqtt

## Class MqttFixedHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttFixedHeader

    public final class MqttFixedHeader
    extends Object

See MQTTV3.1/fixed-header

### Constructor Summary

Constructors
Constructor and Description
`MqttFixedHeader(MqttMessageType messageType, boolean isDup, MqttQoS qosLevel, boolean isRetain, int remainingLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDup()`
`boolean` `isRetain()`
`MqttMessageType` `messageType()`
`MqttQoS` `qosLevel()`
`int` `remainingLength()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttFixedHeader

    public MqttFixedHeader(MqttMessageType messageType,
                           boolean isDup,
                           MqttQoS qosLevel,
                           boolean isRetain,
                           int remainingLength)

### Method Detail

#### messageType

    public MqttMessageType messageType()

#### isDup

    public boolean isDup()

#### qosLevel

    public MqttQoS qosLevel()

#### isRetain

    public boolean isRetain()

#### remainingLength

    public int remainingLength()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`